<?php

/*
------------------------------------------------
AlphaCMS - универсальный движок для вашего сайта
E-mail администрации проекта: adm@alpha-cms.ru
Официальный сайт поддержки: alpha-cms.ru
Руководитель проекта: adm (ID 1)
------------------------------------------------
*/
  
FOREACH (ARRAY('config', 'connect', 'users') AS $connect) {
  
  INCLUDE_ONCE ("../../system/connections/global/$connect.php"); 
  
}

ACCESS('users');

HTML::TITLE('Магазин услуг'); 

REQUIRE (ROOT.'/system/connections/header.php');

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Магазин услуг')."";
ECHO "</div>";

/*
----------------
Пополнение счета
----------------
*/

REQUIRE (ROOT.'/users/shop/plugins/rep.php');

/*
------
Услуги
------
*/

REQUIRE (ROOT.'/users/shop/plugins/uslugi.php');

/*
----------------------------
Обмен баллов на валюту сайта
----------------------------
*/

REQUIRE (ROOT.'/users/shop/plugins/obmen.php');

/*
--------------------
Ресурсы пользователя
--------------------
*/

ECHO "<div class='list-body'>";
ECHO "<div class='list-menu list-menu-title'>".ICONS('money', 16, 'fa-fw')." ".LG('Ресурсы')."</div>";

ECHO "<div class='list-menu'>";
ECHO "<font size='+1'>".LG('Ваш счет').": ".MONEY($user['MONEY'], CONFIG('MONEY'), 3)."</font>";
ECHO "</div>";

ECHO "<div class='list-menu'>";
ECHO "<font size='+1'>".LG('Баллов').": ".$user['BALLS']."</font><br /><br />";

IF (CONFIG('SHOP_REP') == 1){
  
  ECHO "<a href='?get=rep' class='btn'>".ICONS('plus', 15, 'fa-fw')." ".LG('Пополнить счет')."</a>";
  
}

ECHO "<a href='?get=obmen' class='btn'>".ICONS('refresh', 15, 'fa-fw')." ".LG('Обменять на деньги')."</a>";

ECHO "</div>";

ECHO "</div>";

/*
------------
Список услуг
------------
*/

ECHO "<div class='list-body'>"; 

ECHO "<div class='list-menu list-menu-title'>".ICONS('bars', 16, 'fa-fw')." ".LG('Услуги')."</div>";

DIRECT::COMPONENTS(ROOT.'/users/shop/components/');
  
ECHO "</div>";

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Магазин услуг')."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');

?>